phing-types-selectors

# Class: DependSelector Source Location: /types/selectors/DependSelector.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --BaseSelector
             |
             --DependSelector
Selector that filters files based on whether they are newer than a matching file in another directory tree. It can contain a mapper element, so isn't available as an ExtendSelector (since those parameters can't hold other elements). #### Author(s): Bruce Atherton <bruce@callenish.com> (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ | ### Methods __construct createMapper isSelected setGranularity setTargetdir toString verifySettings
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: BaseSelector BaseSelector::getError() Returns any error messages that have been set. BaseSelector::setError() Allows all selectors to indicate a setup error. Note that only the first error message is recorded. BaseSelector::validate() Subclasses can use this to throw the requisite exception in isSelected() in the case of an error condition. BaseSelector::verifySettings() <p>Subclasses can override this method to provide checking of their #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 36] Selector that filters files based on whether they are newer than a matching file in another directory tree. It can contain a mapper element, so isn't available as an ExtendSelector (since those parameters can't hold other elements). #### Tags:
author: | Bruce Atherton <bruce@callenish.com> (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### constructor __construct [line 43]
`DependSelector __construct( )`
#### Tags:
access: | public
[ Top ] ### method createMapper [line 92]
`void createMapper( )`
Defines the FileNameMapper to use (nested mapper element). #### Tags:
throws: | BuildException
access: | public
[ Top ] ### method isSelected [line 128]
`whether isSelected( $basedir, filename $filename, $file)`
The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset. #### Tags:
return: | the file should be selected or not
access: | public
#### Parameters:
basedir | $basedir | the base directory the scan is being done from
filename | $filename | is the name of the file to check
file | $file | is a PhingFile object the selector can use
[ Top ] ### method setGranularity [line 84]
`void setGranularity( $granularity)`
Sets the number of milliseconds leeway we will give before we consider a file out of date. #### Tags:
access: | public
#### Parameters:
| $granularity |
[ Top ] ### method setTargetdir [line 76]
`void setTargetdir( $targetdir)`
The name of the file or directory which is checked for out-of-date files. #### Tags:
access: | public
#### Parameters:
targetdir | $targetdir | the directory to scan looking for files.
[ Top ] ### method toString [line 50]
`void toString( )`
#### Tags:
access: | public
[ Top ] ### method verifySettings [line 105]
`void verifySettings( )`
Checks to make sure all settings are kosher. In this case, it means that the dest attribute has been set and we have a mapper. #### Tags:
access: | public
Overrides BaseSelector::verifySettings() (<p>Subclasses can override this method to provide checking of their) [ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:46 +0200 by phpDocumentor 1.4.3